Name:           fif-icon-theme
Version:        19.0
Release:        1%{?dist}
Summary:        Fif icon theme (based on Faience)

Group:          User Interface/Desktops
License:        CC-BY-SA
Source0:        %{name}.theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires(post): gtk2 >= 2.6.0
Requires(postun): gtk2 >= 2.6.0
Requires:       faience-icon-theme
Requires:	humanity-icon-theme
Requires:	fedora-logos

%description
This package contains the Fif icon theme, mostly based on oxygen theme
with some unesthetic icons replaced by stock gnome icons.

%prep
%setup -q -T -c

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/icons
install -d %{buildroot}%{_datadir}/icons/Fif

install -d %{buildroot}%{_datadir}/icons/Fif/devices
for i in gnome-dev-media-cf gnome-dev-media-ms gnome-dev-media-sdmmc \
    gnome-dev-media-sm
do
  ln -s ../../Humanity/devices/48/$i.svg \
	%{buildroot}%{_datadir}/icons/Fif/devices/$i.svg
done

install -d %{buildroot}%{_datadir}/icons/Fif/actions
for i in start-here
do
  ln -s ../../Fedora/scalable/places/$i.svg \
	%{buildroot}%{_datadir}/icons/Fif/actions/$i.svg
done

cp -p %{SOURCE0} %{buildroot}%{_datadir}/icons/Fif/index.theme
touch %{buildroot}%{_datadir}/icons/Fif/icon-theme.cache

%post
touch --no-create %{_datadir}/icons/Fif || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/Fif || :

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_datadir}/icons/Fif
%ghost %{_datadir}/icons/Fif/icon-theme.cache

%changelog
* Tue Jun 19 2012 Philippe Troin <phil@fifi.org> - 2.0-1
- Reupdated for F17.

* Tue Jul 21 2009 Philippe Troin <phil@fifi.org> - 1.2-1
- Add 24x24 devices icons for the file chooser.

* Mon Jul  6 2009 Philippe Troin <phil@fifi.org> - 1.1-1
- Throw in some icons for network manager.

* Sun Jul  5 2009 Philippe Troin <phil@fifi.org> - 1.0-1
- Created.
